const _Http = getApp().globalData.http;
Component({
    properties: {
        disabled: {
            type: Boolean
        }
    },
    data: {
        "sa_contractid": 1,
        "content": {
            "nocache": true,
            "sa_contractid": 1,
            pageNumbe: 1,
            pageTotal: 1,
            total: null,
            "where": {
                "conditino": ""
            }
        }
    },
    lifetimes: {
        attached: function () {
            getApp().globalData.Language.getLanguagePackage(this)
        }
    },
    methods: {
        /* 获取地址列表 */
        getList(id, init) {
            let content = this.data.content;
            content.sa_contractid = id;
            if (init) content.pageNumber = 1
            _Http.basic({
                "id": "20240923153204",
                content
            }).then(res => {
                console.log("关联联系人列表", res)
                if (res.code != '1') return wx.showToast({
                    title: res.data,
                    icon: "none"
                })
                this.setData({
                    list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                    "content.pageNumber": res.pageNumber + 1,
                    "content.pageSize": res.pageSize,
                    "content.pageTotal": res.pageTotal,
                    "content.sa_contractid": id,
                    "content.total": res.total,
                    sa_contractid: id,
                })
            })
        },
        /* 修改总数 */
        changeTotal() {
            this.setData({
                "content.total": this.data.content.total - 1
            })
        }
    }
})